Bug 1310881 - solaris 10 doesn't work with USB tablet
solaris 10 doesn't work with USB tablet
Status: NEW
Product: Virtualization Tools
Classification: Community
Component: libosinfo (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-22 16:25 EST by Jonathan Wakely
Modified: 2017-08-03 17:36 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Wakely 2016-02-22 16:25:32 EST
It seems that the working configuration file attached to Bug 1262093 was not correctly included in the virt-manager update, because the default config for F23 creates a tablet, and so using the mouse doesn't work until that is removed from the hardware profile.

Users who actually have a graphics tablet and want to use it with their VM can add one easily enough, but that is surely not the common use case, so shouldn't be the default if it makes the mouse non-functional.

virt-manager-1.3.2-1.fc23.noarch

Please update the Solaris 10 config to remove the useless tablet.
Comment 1 Cole Robinson 2016-02-25 10:49:50 EST
That info is coming from libosinfo's database. If the tablet doesn't work for solaris10, we need to remove that device ID from the XML
Comment 2 Jonathan Wakely 2016-02-25 11:08:47 EST
The tablet might work, *if* you have a tablet, I don't know. But with the default settings it prevents a mouse working. It seems better to have a working mouse than a non-working mouse and tablet :-)

Not related to this bug, but the Solaris 11 profile simply doesn't work AT ALL. I can't even boot the installation ISO, it crashes almost immediately.
Comment 3 Cole Robinson 2016-02-25 11:33:17 EST
The 'USB Tablet' is not related to any host capability, it's strictly about emulating a tablet for the VM, which typically gives much better mouse tracking.

As for solaris 11, yeah I tried to get it working once as well but I couldn't. It could be a settings issue, or a qemu/kvm bug, or a solaris but that's exposed by virt emulation, hard to say.
Comment 4 Fedora End Of Life 2016-11-24 10:42:20 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2017-07-25 16:15:02 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.